## org.eclipse.emf.ecore.sdo.util
Class DataGraphResourceFactoryImpl.DataGraphResourceImpl.SaveImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
          org.eclipse.emf.ecore.sdo.util.DataGraphResourceFactoryImpl.DataGraphResourceImpl.SaveImpl

All Implemented Interfaces:
  XMLSave

Enclosing class:
  DataGraphResourceFactoryImpl.DataGraphResourceImpl

    public static class DataGraphResourceFactoryImpl.DataGraphResourceImpl.SaveImpl

extends XMLSaveImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
`XMLSaveImpl.Escape, XMLSaveImpl.Lookup, XMLSaveImpl.XMLTypeInfoImpl`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLSave
`XMLSave.XMLTypeInfo`

Field Summary
`protected EDataGraph` `eDataGraph`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`anySimpleType, anyType, ATTRIBUTE_FEATURE_MAP, CONTENT_ELEMENT, CROSS_DOC, currentNode, DATATYPE_ATTRIBUTE_MANY, DATATYPE_CONTENT_SINGLE, DATATYPE_ELEMENT_SINGLE, DATATYPE_MANY, DATATYPE_SINGLE, DATATYPE_SINGLE_NILLABLE, declareSchemaLocation, declareSchemaLocationImplementation, declareXML, declareXSI, doc, document, ELEMENT_FEATURE_MAP, EMPTY_ELEMENT, encoding, eObjectToExtensionMap, escape, escapeURI, extendedMetaData, featureTable, flushThreshold, handler, helper, idAttributeName, idAttributeNS, INDEX_LOOKUP, keepDefaults, map, nameInfo, OBJECT_ATTRIBUTE_IDREF_MANY, OBJECT_ATTRIBUTE_IDREF_SINGLE, OBJECT_ATTRIBUTE_MANY, OBJECT_ATTRIBUTE_SINGLE, OBJECT_CONTAIN_MANY, OBJECT_CONTAIN_MANY_UNSETTABLE, OBJECT_CONTAIN_SINGLE, OBJECT_CONTAIN_SINGLE_UNSETTABLE, OBJECT_ELEMENT_IDREF_MANY, OBJECT_ELEMENT_IDREF_SINGLE, OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE, OBJECT_ELEMENT_MANY, OBJECT_ELEMENT_SINGLE, OBJECT_ELEMENT_SINGLE_UNSETTABLE, OBJECT_HREF_MANY, OBJECT_HREF_MANY_UNSETTABLE, OBJECT_HREF_SINGLE, OBJECT_HREF_SINGLE_UNSETTABLE, processDanglingHREF, resourceEntityHandler, root, roots, SAME_DOC, saveTypeInfo, SKIP, toDOM, TRANSIENT, useCache, useEncodedAttributeStyle, XML_VERSION, xmlResource, xmlSchemaTypePackage, xmlTypeInfo, xmlVersion, XSI_NIL, XSI_NO_NAMESPACE_SCHEMA_LOCATION, XSI_SCHEMA_LOCATION, XSI_TYPE_NS, XSI_XMLNS`

Constructor Summary
`DataGraphResourceFactoryImpl.DataGraphResourceImpl.SaveImpl(XMLHelper xmlHelper)`

Method Summary
`protected EObject` `getSchemaLocationRoot(EObject eObject)`
`void` `traverse(java.util.List<? extends EObject> contents)`
`protected void` `writeTopAttributes(EObject top)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`addDoctypeInformation, addNamespaceDeclarations, convertURI, endSave, endSaveFeatures, getContent, getDataTypeElementSingleSimple, getDatatypeValue, getElementIDRefManySimple, getElementIDRefSingleSimple, getElementReferenceManySimple, getElementReferenceSingleSimple, init, isDuplicateURI, isEmpty, isNil, processAttributeExtensions, processElementExtensions, sameDocMany, sameDocSingle, save, save, save, saveAttributeFeatureMap, saveContainedMany, saveContainedSingle, saveDataTypeAttributeMany, saveDataTypeElementSingle, saveDataTypeMany, saveDataTypeSingle, saveElement, saveElement, saveElement, saveElementFeatureMap, saveElementID, saveElementIDRef, saveElementIDRef, saveElementIDRefMany, saveElementIDRefSingle, saveElementReference, saveElementReferenceMany, saveElementReferenceSingle, saveEObjectMany, saveEObjectSingle, saveFeatureMapElementReference, saveFeatures, saveHref, saveHRefMany, saveHRefSingle, saveIDRefMany, saveIDRefSingle, saveManyEmpty, saveManyEmpty, saveNil, saveNil, saveTypeAttribute, saveTypeAttribute, shouldSaveFeature, toChar, write, write, writeAscii, writeTopElements, writeTopObject, writeTopObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataGraph

    protected EDataGraph eDataGraph

Constructor Detail

### DataGraphResourceFactoryImpl.DataGraphResourceImpl.SaveImpl

    public DataGraphResourceFactoryImpl.DataGraphResourceImpl.SaveImpl(XMLHelper xmlHelper)

Method Detail

### traverse

    public void traverse(java.util.List<? extends EObject> contents)

  Overrides:
    `traverse` in class `XMLSaveImpl`

### writeTopAttributes

    protected void writeTopAttributes(EObject top)

  Overrides:
    `writeTopAttributes` in class `XMLSaveImpl`

### getSchemaLocationRoot

    protected EObject getSchemaLocationRoot(EObject eObject)

  Overrides:
    `getSchemaLocationRoot` in class `XMLSaveImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.